<html>
<!--    cibl&eacute; par: gestion-contrat.php 

		cible:  gestion-contrat.php						
 -->
 
 <!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-code_contrat
							-code_client

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_contrat
							-code_client
	 
 -->	
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Ajout d'une activit&eacute;</title>
<body>

<?php 
echo "passe";
//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("gestion-poste.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2)
	die("Vous n'avez pas les droits!");
	
//*************************************************************************
// requ&ecirc;te pour avoir tout les activites

$sql = "SELECT num_activite, nom  
          FROM base_ref1activites
		 WHERE base_ref1activites.actif = 'O'
		 ORDER BY nom asc;";

$result = mysql_query($sql) or die ("Ne peut lire dans la table ref1chalets".$sql);

$code_contrat = $_GET["code_contrat"];
$code_client = $_GET["code_client"];
$type = $_GET["type"];
$etape = $_GET["etape"];
$activite = $_GET["activite"];
$plein_prix = $_GET["plein_prix"];
$prix_reel = $_GET["prix_reel"];
$inclu = $_GET["inclu"];




//*****************************************************************************************************
// afficher les r&eacute;sultats *****************************************************************************
//*****************************************************************************************************
   
	

if ($etape ==1)//enregistrer les donn&eacute;es
{

	$sql = "INSERT INTO base_activites
				    SET num_activite = '$activite',
					    code_contrat = '$code_contrat',
					    prix_plein = '$plein_prix',
					    prix_rabais = '$prix_reel',
						inclu = '$inclu',
					    actif = 'O',
					    date_modif = now(),
					    mis_a_jour = now();";
		$result = mysql_query($sql) or die("Probl&egrave;me de cr&eacute;ation de l'activit&eacute;!<br>".$sql);


		
	GestionPoste(5,$type,$code_contrat,$code_client,0,$prix_reel,0,'O');			
	print("L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s. Vous pouvez fermer cette fen&ecirc;tre.<br><br><br>");
	historique("../historique.txt","---ajout de l'activite #".$activite.", prix: ".$plein_prix."$, rabais: ".$prix_reel.", inclu: ".$inclu.", actif: ".$actif."",$Bsession_id);	
}	
	
	
	
if (empty($etape))//entrer les donn&eacute;es
{	
historique("../historique.txt","MENU AJOUT D'ACTIVITE",$Bsession_id);
	print("<center><table cellspacing=0 cellpadding=0 width=500px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Ajout d'une activit&eacute;</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");

	//titre	   
	print("<table cellspacing=0 cellpadding=0 width=500px border=0>");	
	print("<tr><td bgcolor=#D6E4AC>");
	print("<b>Activit&eacute;</b>");
	print("</td><td bgcolor=#C8DB8D>");
	print("<b>Prix</b>");
	print("</td><td bgcolor=#D6E4AC>");
	print("<b>Escompte</b>");
	print("</td><td bgcolor=#C8DB8D>");
	print("<b><br>Inclu</b>");

	print("<form action=\"ajout-activite.php?Bsession_id=".$Bsession_id."\" method=\"get\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$Bsession_id."\">");
	print("<input type=\"hidden\" name=\"code_contrat\" value=\"".$code_contrat."\">");
	print("<input type=\"hidden\" name=\"code_client\" value=\"".$code_client."\">");
	print("<input type=\"hidden\" name=\"type\" value=\"".$type."\">");	
	print("<input type=\"hidden\" name=\"etape\" value=\"1\">");	
	print("</td></tr><tr><td bgcolor=#D6E4AC valign=top>");
	
	//boite de selection	
	print("<select name=\"activite\">");
	$result = mysql_query($sql);
	while ($row = mysql_fetch_row ($result))
	{
		for ($i = 0; $i < mysql_num_fields ($result); $i++)
		{
			print ("<option value=\"");
			printf ("%s", htmlspecialchars ($row[$i++]));
			print ("\">");
			printf ("%s", htmlspecialchars ($row[$i]));
			print ("</option>");
		}
	}
	print("</td><td bgcolor=#C8DB8D>");
	//plein prix
	print("<input type=\"text\" name=\"plein_prix\" align=\"top\" maxlength=\"10\" size=\"10\">");
	print("</td><td bgcolor=#D6E4AC>");
	//prix r&eacute;el
	print("<input type=\"text\" name=\"prix_reel\" align=\"top\" maxlength=\"10\" size=\"10\">");
	print("</td><td bgcolor=#C8DB8D>");
	//inclu
	print("<select name=\"inclu\">
		<option selected value=\"N\">N</option>
		<option value=\"O\">O</option>
		<option value=\"N\">N</option>
	</select>");
	
	
	
	
	
	//bouton ajouter
	print("</td></tr><tr><td bgcolor=#E7EFCE colspan = 4><div align=right>");
	print("<input type=\"submit\" value=\"Ajouter\"></form></div>");
	print("</td></tr>");
		
	
	
	
	// ajouter une activit&eacute;
	print("<tr><td bgcolor=#E7EFCE colspan=4><div align=right>");
	print("<form action=\"../reference/ref1activites.php?Bsession_id=".$Bsession_id."\" method=post>");
   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
   			print("<input type=hidden name=etape value=2>");
			print("<input type=hidden name=pargestion value=1>");
   			print("<input type=submit name=back value=\"Cr&eacute;er une nouvelle activit&eacute;\">");
    print("</form></td></tr></table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=500px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");		
	
}


	
?>

</body>
</html>	
	
	
	
	
